Summary:	SMS Server Tools
Summary(pl.UTF-8):	Narzędzia serwera SMS
Name:		smstools
Version:	3.1.21
Release:	1
License:	GPL v2
Group:		Applications/Communications
Source0:	http://smstools3.kekekasvi.com/packages/%{name}3-%{version}.tar.gz
# Source0-md5:	6a9f038fb38a49cc3a4f8f14a88fb8af
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Patch0:		enable-statistics.patch
Patch1:		%{name}-Makefile.patch
Patch2:		gcc10.patch
URL:		http://smstools3.kekekasvi.com/
BuildRequires:	mm-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SMS Server Tools were made to send and receive SMS from one or
many GSM modems. They include a send/receive daemon and some sample
scripts to build an SMS email gateway and for logging into an SQL
database.

%description -l pl.UTF-8
SMS Server Tools jest pakietem stworzonym do wysyłania i odbierania
SMSów z jednego lub kilku modemów GSM. Zawiera demona do wysyłania i
odbierania przesyłek oraz zestaw skryptów dzięki którym można stworzyć
np. bramkę email->SMS.

%prep
%setup -q -n %{name}3
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-DNUMBER_OF_MODEMS=64 %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_libdir}/%{name}} \
	$RPM_BUILD_ROOT/var/spool/sms/{incoming,outgoing,failed,sent,OTHER}

cp -p examples/smsd.conf.full $RPM_BUILD_ROOT%{_sysconfdir}/smsd.conf
cp -p src/smsd $RPM_BUILD_ROOT%{_sbindir}
cp -p scripts/{email2sms,mysmsd,sendsms,smsevent} $RPM_BUILD_ROOT%{_libdir}/%{name}

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/smsd
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/smsd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smsd
%service smsd restart "sms daemon"

%preun
if [ "$1" = "0" ]; then
	%service smsd stop
	/sbin/chkconfig --del smsd
fi

%files
%defattr(644,root,root,755)
%doc doc/* examples/smsd.conf.{easy,full}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smsd.*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/smsd
%attr(754,root,root) /etc/rc.d/init.d/smsd
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%dir %attr(710,root,uucp) /var/spool/sms/
%dir %attr(750,root,root) /var/spool/sms/OTHER
%dir %attr(750,root,root) /var/spool/sms/failed
%dir %attr(750,root,root) /var/spool/sms/incoming
%dir %attr(1730,root,uucp) /var/spool/sms/outgoing
%dir %attr(750,root,root) /var/spool/sms/sent
%changelog
* Tue Jul 11 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smstools.git;a=log;h=master

* Tue Jul 11 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> a91e79c
- Up to 3.1.21.

* Mon Feb 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bdc37b
- No empty pidfile/config.

* Tue Oct 26 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8eb0c44
- new urls

* Thu Nov 27 2008 duddits <duddits@pld-linux.org> ead2503
- URL updated

* Fri Dec 28 2007 zbyniu <zbyniu@pld-linux.org> e97c6e1
- up to 2.2.20

* Sun Oct 28 2007 Elan Ruusamäe <glen@pld-linux.org> 71c6240
- those are all directories

* Sun Oct 28 2007 Elan Ruusamäe <glen@pld-linux.org> 5affb7c
- fix file listed twice

* Sat Jun 30 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3ee5547
- updated to 2.2.18

* Sat Feb 24 2007 areq <areq@pld-linux.org> 873637f
- more secure permissions to spool dir

* Fri Feb 23 2007 areq <areq@pld-linux.org> 26645c1
- 2.2.14
- %attr(770,root,uucp) /var/spool/sms/outgoing (allow non root user to send sms)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6e49438
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c22448d
- converted to UTF-8

* Sun Dec 03 2006 areq <areq@pld-linux.org> aee1ba6
- 2.2.13

* Sat Nov 25 2006 areq <areq@pld-linux.org> ef56c82
- 2.2.12

* Thu Jul 20 2006 shadzik <shadzik@pld-linux.org> 7a52b75
- 2.2.4 stable

* Mon Jul 17 2006 areq <areq@pld-linux.org> 008fd8a
- 2.2.4b

* Mon May 22 2006 Elan Ruusamäe <glen@pld-linux.org> 9256bd2
- rel 2

* Tue Mar 14 2006 Elan Ruusamäe <glen@pld-linux.org> 1f0ad04
- use %service

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> b32cbab
- killed trailing spaces/tabs

* Wed Aug 17 2005 Andrzej Zawadzki <zawadaa@gmail.com> e1bdb52
- URL fix

